### Name: as
### Title: Converting between phylo4/phylo4d and other phylogenetic tree
###   formats
### Aliases: as as-method as,phylo,phylo4-method as,phylo,phylo4d-method
###   as,multiPhylo4,multiPhylo-method as,multiPhylo,multiPhylo4-method
###   as,multiPhylo4d,multiPhylo-method as,phylo4,phylo-method
###   as,phylo4d,phylo-method as,phylo4,data.frame-method
###   as,phylo4d,data.frame-method as,phylo4vcov,phylo4-method
###   as,phylo4,phylo4vcov-method coerce-methods coerce,phylo,phylo4-method
###   coerce,phylo,phylo4d-method coerce,multiPhylo4,multiPhylo-method
###   coerce,multiPhylo,multiPhylo4-method
###   coerce,multiPhylo4d,multiPhylo-method coerce,phylo4,phylo-method
###   coerce,phylo4d,phylo-method coerce,phylo4,data.frame-method
###   coerce,phylo4d,data.frame-method coerce,phylo4vcov,phylo4-method
###   coerce,phylo4,phylo4vcov-method
### Keywords: methods

### ** Examples

tree.owls <- read.tree(text="(((Strix_aluco:4.2,Asio_otus:4.2):3.1,Athene_noctua:7.3):6.3,Tyto_alba:13.5);")
## round trip conversion
tree_in_phylo <- tree.owls                  # tree is a phylo object
(tree_in_phylo4 <- as(tree.owls,"phylo4"))  # phylo converted to phylo4
identical(tree_in_phylo,as(tree_in_phylo4,"phylo"))
## test if phylo, and phylo4 converted to phylo are identical
## (no, because of dimnames)

## Conversion to phylog (ade4)
as(tree_in_phylo4, "phylog")

## Conversion to data.frame
as(tree_in_phylo4, "data.frame")

## Conversion to phylo (ape) 
as(tree_in_phylo4, "phylo")

## Conversion to phylo4d, (data slots empty)    
as(tree_in_phylo4, "phylo4d")



