### Name: phylo4-labels
### Title: Labels for phylo4/phylo4d objects
### Aliases: labels<- labels,phylo4-method
###   labels<-,phylo4,ANY,ANY,character-method
###   labels<-,phylo4d,ANY,ANY,character-method hasNodeLabels
###   hasNodeLabels-methods hasNodeLabels,phylo4-method nodeLabels
###   nodeLabels-methods nodeLabels,phylo4-method nodeLabels<-
###   nodeLabels<-,phylo4,character-method nodeLabels<-,phylo4d,ANY-method
###   tipLabels tipLabels-methods tipLabels,phylo4-method tipLabels<-
###   tipLabels<-,phylo4,character-method
###   tipLabels<-,phylo4d,character-method hasEdgeLabels
###   hasEdgeLabels-methods hasEdgeLabels,phylo4-method edgeLabels
###   edgeLabels<- edgeLabels-methods edgeLabels,phylo4-method
###   edgeLabels<-,phylo4,character-method


### ** Examples


data(geospiza)

## Return labels from geospiza
tipLabels(geospiza)

## Internal node labels in geospiza are empty
nodeLabels(geospiza)

## Creating internal node labels
ndLbl <- paste("n", 1:nNodes(geospiza), sep="")
nodeLabels(geospiza) <- ndLbl
nodeLabels(geospiza)

## naming the labels
names(ndLbl) <- nodeId(geospiza, "internal")

## shuffling the labels
(ndLbl <- sample(ndLbl))

## by default, the labels are attributed in the order
## they are given:
nodeLabels(geospiza) <- ndLbl
nodeLabels(geospiza)

## but use.names puts them in the correct order
labels(geospiza, "internal", use.names=TRUE) <- ndLbl
nodeLabels(geospiza)




